OGRE: Ogre::ExternalTextureSourceManager Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::ExternalTextureSourceManager Class Reference
Core » Materials

Singleton Class which handles the registering and control of texture plugins. More...

`#include <OgreExternalTextureSourceManager.h>`

Inheritance diagram for Ogre::ExternalTextureSourceManager:
[legend]

## Public Member Functions
| ExternalTextureSourceManager ()
| Constructor.
| ~ExternalTextureSourceManager ()
| Destructor.
void | destroyAdvancedTexture (const String &sTextureName, const String &groupName=ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME)
| Calls the destroy method of all registered plugins... Only the owner plugin should perform the destroy action.
ExternalTextureSource * | getCurrentPlugIn (void) const
| Returns currently selected plugin, may be null if none selected.
ExternalTextureSource * | getExternalTextureSource (const String &sTexturePlugInType)
| Returns the plugin which registered itself with a specific name (eg.
void | setCurrentPlugIn (const String &sTexturePlugInType)
| Sets active plugin (ie.
void | setExternalTextureSource (const String &sTexturePlugInType, ExternalTextureSource *pTextureSystem)
| Called from plugin to register itself.
Public Member Functions inherited from Ogre::Singleton< ExternalTextureSourceManager >
| ~Singleton (void)

## Static Public Member Functions
static ExternalTextureSourceManager & | getSingleton (void)
| Get the singleton instance.
static ExternalTextureSourceManager * | getSingletonPtr (void)
| Get the singleton instance.
Static Public Member Functions inherited from Ogre::Singleton< ExternalTextureSourceManager >
static ExternalTextureSourceManager & | getSingleton (void)
| Get the singleton instance.
static ExternalTextureSourceManager * | getSingletonPtr (void)
| Get the singleton instance.

## Detailed Description

Singleton Class which handles the registering and control of texture plugins.

The plugins will be mostly controlled via a string interface.

## Constructor & Destructor Documentation

## ◆ ExternalTextureSourceManager()

Ogre::ExternalTextureSourceManager::ExternalTextureSourceManager | ( |  | ) |

Constructor.

Referenced by getSingleton(), and getSingletonPtr().

## ◆ ~ExternalTextureSourceManager()

Ogre::ExternalTextureSourceManager::~ExternalTextureSourceManager | ( |  | ) |

Destructor.

## Member Function Documentation

## ◆ setCurrentPlugIn()

void Ogre::ExternalTextureSourceManager::setCurrentPlugIn | ( | const String & | sTexturePlugInType | ) |

Sets active plugin (ie.

"video", "effect", "generic", etc..)

## ◆ getCurrentPlugIn()

ExternalTextureSource * Ogre::ExternalTextureSourceManager::getCurrentPlugIn | ( | void |  | ) | const
| inline

Returns currently selected plugin, may be null if none selected.

## ◆ destroyAdvancedTexture()

void Ogre::ExternalTextureSourceManager::destroyAdvancedTexture | ( | const String & | sTextureName,
|  | const String & | groupName = ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME )

Calls the destroy method of all registered plugins... Only the owner plugin should perform the destroy action.

References Ogre::ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME.

## ◆ getExternalTextureSource()

ExternalTextureSource * Ogre::ExternalTextureSourceManager::getExternalTextureSource | ( | const String & | sTexturePlugInType | ) |

Returns the plugin which registered itself with a specific name (eg.

"video"), or null if specified plugin not found

## ◆ setExternalTextureSource()

void Ogre::ExternalTextureSourceManager::setExternalTextureSource | ( | const String & | sTexturePlugInType,
|  | ExternalTextureSource * | pTextureSystem )

Called from plugin to register itself.

## ◆ getSingleton()

ExternalTextureSourceManager & Ogre::ExternalTextureSourceManager::getSingleton | ( | void |  | ) |
| static

Get the singleton instance.

References ExternalTextureSourceManager().

## ◆ getSingletonPtr()

ExternalTextureSourceManager * Ogre::ExternalTextureSourceManager::getSingletonPtr | ( | void |  | ) |
| static

Get the singleton instance.

References ExternalTextureSourceManager().

The documentation for this class was generated from the following file:

- OgreExternalTextureSourceManager.h